Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class NotifyDescriptor.Exception

    java.lang.Object
      org.openide.NotifyDescriptor
          org.openide.NotifyDescriptor.Confirmation
              org.openide.NotifyDescriptor.Exception

Enclosing class:
  NotifyDescriptor

Deprecated. Better to use `ErrorManager.notify(int, java.lang.Throwable)`

    public static final class NotifyDescriptor.Exception

extends NotifyDescriptor.Confirmation

Provides a description of an exception that occurred during execution of the IDE.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.NotifyDescriptor
`NotifyDescriptor.Confirmation, NotifyDescriptor.Exception, NotifyDescriptor.InputLine, NotifyDescriptor.Message`

Field Summary

Fields inherited from class org.openide.NotifyDescriptor
`CANCEL_OPTION, CLOSED_OPTION, DEFAULT_OPTION, ERROR_MESSAGE, INFORMATION_MESSAGE, NO_OPTION, OK_CANCEL_OPTION, OK_OPTION, PLAIN_MESSAGE, PROP_DETAIL, PROP_MESSAGE, PROP_MESSAGE_TYPE, PROP_OPTION_TYPE, PROP_OPTIONS, PROP_TITLE, PROP_VALID, PROP_VALUE, QUESTION_MESSAGE, WARNING_MESSAGE, YES_NO_CANCEL_OPTION, YES_NO_OPTION, YES_OPTION`

Constructor Summary
`NotifyDescriptor.Exception(Throwable detail)` Deprecated. Create an exception report with default message.
`NotifyDescriptor.Exception(Throwable detail, Object message)` Deprecated. Create an exception report.

Method Summary

Methods inherited from class org.openide.NotifyDescriptor
`addPropertyChangeListener, firePropertyChange, getAdditionalOptions, getDefaultValue, getMessage, getMessageType, getOptions, getOptionType, getTitle, getTitleForType, getValue, initialize, isValid, removePropertyChangeListener, setAdditionalOptions, setMessage, setMessageType, setOptions, setOptionType, setTitle, setValid, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyDescriptor.Exception

    public NotifyDescriptor.Exception(Throwable detail)

  Deprecated.
  Create an exception report with default message.

  Parameters:
    `detail` - the detail object

### NotifyDescriptor.Exception

    public NotifyDescriptor.Exception(Throwable detail,
                                      Object message)

  Deprecated.
  Create an exception report.

  Parameters:
    `detail` - the detail object
    `message` - the message object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.